Send
Look up a payment by encrypted destination. A bare address is unknown.
Path parameters
payment_stringstringRequired
Encrypted destination value. Not a raw on-chain address.
Responses
200
Payment details retrieved successfully.
application/json
created_atstring · date-timeOptionalExample:
2024-09-02T12:34:56ZplatformstringOptionalExample:
Example Platformplatform_logo_urlstringOptionalExample:
https://staging.guardrail.branta.pro/rails/active_storage/blobs/redirect/eyJfcmFpbHMiOnsiZGF0YSI6NDYzLCJwdXIiOiJibG9iX2lkIn19--742d857e192086ec8fc32f0d1792048c27da0d95/IMG_8391.jpegttlnumber · integerOptionalExample:
86400404
Payment not found.
get/payments/{payment_string}
GET /v2/payments/{payment_string} HTTP/1.1
Host: staging.guardrail.branta.pro
Accept: */*
{
"destinations": {
"value": "n2s5RV76sAMnQIOTMeRLsKkbS53g2v4gFUnH7i/RtRg4ZpIrDQq8WohDP9obSLLBGVrSnc8dR9TUC89veSg=",
"type": "bitcoin_address",
"zk": true
},
"created_at": "2024-09-02T12:34:56Z",
"platform": "Example Platform",
"platform_logo_url": "https://staging.guardrail.branta.pro/rails/active_storage/blobs/redirect/eyJfcmFpbHMiOnsiZGF0YSI6NDYzLCJwdXIiOiJibG9iX2lkIn19--742d857e192086ec8fc32f0d1792048c27da0d95/IMG_8391.jpeg",
"ttl": 86400
}Last updated

